【解決】gradle ide pack 3.6.x, 0.17でgradleプロジェクト作成エラー

Oct 13, 2014   #AWS 

eclipse luna 4.4.1にgradle IDE Pack 3.6.x, 0.17をインストールしたら、次のエラーが出てgradleプロジェクトを作成することが出来ませんでした。

org.eclipse.osgi.internal.framework.EquinoxConfiguration$1

Could not fetch model of type ‘HierarchicalEclipseProject’ using Gradle distribution ‘https://services.gradle.org/distributions/gradle-2.0-bin.zip'.

eclipse.iniに次を追加すると直ります。

-Dosgi.configuration.area.default=null

-Dosgi.user.area.default=null

-Dosgi.user.area=@user.dir

参照

http://stackoverflow.com/questions/26085045/error-at-building-model-of-new-gradle-project-for-libgdx

その後、ビルドすると、次のエラーがでました。

Cannot find System Java Compiler. Ensure that you have installed a JDK (not just a JRE) and configured your JAVA_HOME system variable to point to the according directory.

Could not execute build using Gradle distribution ‘https://services.gradle.org/distributions/gradle-2.0-bin.zip'.

gradleのworkspace JREを設定するとエラーがでなくなります。

gradle-preferences-arguments